'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var fields = require('@keystonejs/fields');
var _objectSpread = require('@babel/runtime/helpers/objectSpread2');

class EditorJsImplementation extends fields.Text.implementation {
  constructor(path, {
    editorConfig
  }) {
    super(...arguments);
    this.editorConfig = editorConfig;
  }

  extendAdminMeta(meta) {
    return _objectSpread(_objectSpread({}, meta), {}, {
      editorConfig: this.editorConfig
    });
  }

}

const pkgDir = path.dirname(require.resolve('@keystonejs-contrib/fields-editorjs/package.json'));
const resolveView = pathname => path.join(pkgDir, pathname);
let EditorJs = {
  type: 'EditorJs',
  implementation: EditorJsImplementation,
  views: {
    Controller: resolveView('views/Controller'),
    Field: resolveView('views/Field'),
    Filter: fields.Text.views.Filter
  },
  adapters: fields.Text.adapters
};

exports.EditorJs = EditorJs;
exports.resolveView = resolveView;
