import { Text } from '@keystonejs/fields';
import _objectSpread from '@babel/runtime/helpers/esm/objectSpread2';

class EditorJsImplementation extends Text.implementation {
  constructor(path, {
    editorConfig
  }) {
    super(...arguments);
    this.editorConfig = editorConfig;
  }

  extendAdminMeta(meta) {
    return _objectSpread(_objectSpread({}, meta), {}, {
      editorConfig: this.editorConfig
    });
  }

}

const pkgDir = path.dirname(require.resolve('@keystonejs-contrib/fields-editorjs/package.json'));
const resolveView = pathname => path.join(pkgDir, pathname);
let EditorJs = {
  type: 'EditorJs',
  implementation: EditorJsImplementation,
  views: {
    Controller: resolveView('views/Controller'),
    Field: resolveView('views/Field'),
    Filter: Text.views.Filter
  },
  adapters: Text.adapters
};

export { EditorJs, resolveView };
